
<!doctype html>

<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><t-rex-runner> ⌲ Docs</title>
    <link rel="stylesheet" href="../docs.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600|Roboto+Mono">
    <link href="../prism-okaidia.css" rel="stylesheet" />
    <script src="/node_modules/@webcomponents/webcomponentsjs/webcomponents-loader.js"></script>
    <script src="/node_modules/lit/polyfill-support.js"></script>
    <script type="module" src="../t-rex-runner.bundled.js"></script>
  </head>
  <body>
    
<header>
  <h1>&lt;t-rex-runner></h1>
  <h2>A web component just for me.</h2>
</header>
    
<nav>
  <a href="../">Home</a>
  <a href="../examples/">Examples</a>
  <a href="">API</a>
  <a href="../install/">Install</a>
</nav>
    <div id="main-wrapper">
      <main>
        
     <h1>API</h1>
     
       <h2>&lt;t-rex-runner></h2>
       <div>
         An example element.
       </div>
       
   <h3>Attributes</h3>
   <table>
     <tr>
       <th>Name</th><th>Description</th><th>Type</th><th>Default</th>
     </tr>
     
       <tr>
         <td>name</td><td>The name to say "Hello" to.</td><td>string</td><td>'World'</td>
       </tr>
     
       <tr>
         <td>count</td><td>The number of times the button has been clicked.</td><td>number</td><td>0</td>
       </tr>
     
   </table>
 
       
   <h3>Properties</h3>
   <table>
     <tr>
       <th>Name</th><th>Attribute</th><th>Description</th><th>Type</th><th>Default</th>
     </tr>
     
       <tr>
         <td>name</td><td>name</td><td>The name to say "Hello" to.</td><td>string</td><td>'World'</td>
       </tr>
     
       <tr>
         <td>count</td><td>count</td><td>The number of times the button has been clicked.</td><td>number</td><td>0</td>
       </tr>
     
   </table>
   
       
   <h3>Methods</h3>
   <table>
     <tr>
       <th>Name</th><th>Parameters</th><th>Description</th><th>Return</th>
     </tr>
     
       <tr>
         <td>sayHello</td><td>
   
   <table>
     <tr>
       <th>Name</th><th>Description</th><th>Type</th>
     </tr>
     
       <tr>
         <td>name</td><td>The name to say "Hello" to</td><td>string</td>
       </tr>
     
   </table>
 </td><td>Formats a greeting</td><td>string</td>
       </tr>
     
   </table>
 
       
   <h3>Events</h3>
   <table>
     <tr>
       <th>Name</th><th>Description</th>
     </tr>
     
       <tr>
         <td>count-changed</td><td>Indicates when the count changes</td>
       </tr>
     
   </table>
     
       
   <h3>Slots</h3>
   <table>
     <tr>
       <th>Name</th><th>Description</th>
     </tr>
     
       <tr>
         <td>(default)</td><td>This element has a slot</td>
       </tr>
     
   </table>
   
       
   <h3>CSS Shadow Parts</h3>
   <table>
     <tr>
       <th>Name</th><th>Description</th>
     </tr>
     
       <tr>
         <td>button</td><td>The button</td>
       </tr>
     
   </table>
 
       
       
   
      </main>
    </div>
    
<footer>
  <p>
    Made with
    <a href="https://github.com/lit/lit-element-starter-ts">lit-starter-ts</a>
  </p>
</footer>
  </body>
</html>